path: /build/build/kidletime-kde-frameworks-5-5.111.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc X wayland xscreensaver" emerge kde-frameworks/kidletime:5 -pv -t && \
    USE="-doc X wayland xscreensaver" emerge -j ${JOBS} --nodeps kde-frameworks/kidletime:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kidletime && luet-portage --dir /pkgdir/kidletime
    kde-frameworks/kidletime:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3f10d178208fd258a3a50c8ece30d5f531c6cd6f5a2b2587f4078ee9eb124e88
  package:
    name: kidletime
    version: 5.111.0
    category: kde-frameworks-5
    use_flags:
    - -doc
    - X
    - wayland
    - xscreensaver
    requires:
    - name: lxqt-globalkeys
      version: '>=0'
      category: lxqt-base
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Framework for detection and notification of device idle time
    uri:
    - https://kde.org/
    license: LGPL-2+
    buildtimestamp: 2024-02-11 12:45:49.984250628 +0000 UTC m=+137.059216071
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.111:5
        doc? ( >=dev-qt/qthelp-5.15.1:5 >=app-doc/doxygen-1.8.13-r1 )
      DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 wayland? ( >=dev-libs/plasma-wayland-protocols-1.7.0
        >=dev-libs/wayland-protocols-1.27:0 dev-libs/wayland >=dev-qt/qtgui-5.15.1:5[wayland]
        >=dev-qt/qtwayland-5.15.1:5 ) X? ( >=dev-qt/qtx11extras-5.15.1:5 x11-libs/libX11
        x11-libs/libxcb x11-libs/libXext ) xscreensaver? ( >=dev-qt/qtdbus-5.15.1:5
        x11-libs/libXScrnSaver ) dev-util/desktop-file-utils x11-misc/shared-mime-info
        >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5 ) dev-util/desktop-file-utils'
      IUSE: wayland X xscreensaver debug doc
      RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 wayland? ( >=dev-libs/plasma-wayland-protocols-1.7.0
        >=dev-libs/wayland-protocols-1.27:0 dev-libs/wayland >=dev-qt/qtgui-5.15.1:5[wayland]
        >=dev-qt/qtwayland-5.15.1:5 ) X? ( >=dev-qt/qtx11extras-5.15.1:5 x11-libs/libX11
        x11-libs/libxcb x11-libs/libXext ) xscreensaver? ( >=dev-qt/qtdbus-5.15.1:5
        x11-libs/libXScrnSaver ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
        )'
      emerge.packages: kde-frameworks/kidletime:5
      kit: kde-kit
      original.package.name: kde-frameworks/kidletime
      original.package.slot: "5"
      original.package.version: 5.111.0
    treedir: /build/packages
  package_dir: /pkgdir/kidletime
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8defef98164e28c9787b4743bb4e464e8467bc58cfd46dcc6dbb5579263a8d98
compressiontype: zstd
files:
- usr/include/KF5/KIdleTime/KIdleTime
- usr/include/KF5/KIdleTime/kidletime.h
- usr/include/KF5/KIdleTime/kidletime_export.h
- usr/include/KF5/KIdleTime/kidletime_version.h
- usr/include/KF5/KIdleTime/private/abstractsystempoller.h
- usr/lib64/cmake/KF5IdleTime/KF5IdleTimeConfig.cmake
- usr/lib64/cmake/KF5IdleTime/KF5IdleTimeConfigVersion.cmake
- usr/lib64/cmake/KF5IdleTime/KF5IdleTimeTargets-gentoo.cmake
- usr/lib64/cmake/KF5IdleTime/KF5IdleTimeTargets.cmake
- usr/lib64/libKF5IdleTime.so
- usr/lib64/libKF5IdleTime.so.5
- usr/lib64/libKF5IdleTime.so.5.111.0
- usr/lib64/qt5/mkspecs/modules/qt_KIdleTime.pri
- usr/lib64/qt5/plugins/kf5/org.kde.kidletime.platforms/KF5IdleTimeWaylandPlugin.so
- usr/lib64/qt5/plugins/kf5/org.kde.kidletime.platforms/KF5IdleTimeXcbPlugin0.so
- usr/lib64/qt5/plugins/kf5/org.kde.kidletime.platforms/KF5IdleTimeXcbPlugin1.so
- usr/share/doc/kidletime-5.111.0/README.md.bz2
- usr/share/qlogging-categories5/kidletime.categories
- usr/share/qlogging-categories5/kidletime.renamecategories
- var/db/pkg/kde-frameworks/kidletime-5.111.0/BDEPEND
- var/db/pkg/kde-frameworks/kidletime-5.111.0/BUILD_TIME
- var/db/pkg/kde-frameworks/kidletime-5.111.0/CATEGORY
- var/db/pkg/kde-frameworks/kidletime-5.111.0/CBUILD
- var/db/pkg/kde-frameworks/kidletime-5.111.0/CFLAGS
- var/db/pkg/kde-frameworks/kidletime-5.111.0/CHOST
- var/db/pkg/kde-frameworks/kidletime-5.111.0/CONTENTS
- var/db/pkg/kde-frameworks/kidletime-5.111.0/COUNTER
- var/db/pkg/kde-frameworks/kidletime-5.111.0/CXXFLAGS
- var/db/pkg/kde-frameworks/kidletime-5.111.0/DEFINED_PHASES
- var/db/pkg/kde-frameworks/kidletime-5.111.0/DEPEND
- var/db/pkg/kde-frameworks/kidletime-5.111.0/DESCRIPTION
- var/db/pkg/kde-frameworks/kidletime-5.111.0/EAPI
- var/db/pkg/kde-frameworks/kidletime-5.111.0/FEATURES
- var/db/pkg/kde-frameworks/kidletime-5.111.0/HOMEPAGE
- var/db/pkg/kde-frameworks/kidletime-5.111.0/INHERITED
- var/db/pkg/kde-frameworks/kidletime-5.111.0/IUSE
- var/db/pkg/kde-frameworks/kidletime-5.111.0/IUSE_EFFECTIVE
- var/db/pkg/kde-frameworks/kidletime-5.111.0/KEYWORDS
- var/db/pkg/kde-frameworks/kidletime-5.111.0/LDFLAGS
- var/db/pkg/kde-frameworks/kidletime-5.111.0/LICENSE
- var/db/pkg/kde-frameworks/kidletime-5.111.0/NEEDED
- var/db/pkg/kde-frameworks/kidletime-5.111.0/PF
- var/db/pkg/kde-frameworks/kidletime-5.111.0/PROVIDES
- var/db/pkg/kde-frameworks/kidletime-5.111.0/RDEPEND
- var/db/pkg/kde-frameworks/kidletime-5.111.0/REQUIRES
- var/db/pkg/kde-frameworks/kidletime-5.111.0/SIZE
- var/db/pkg/kde-frameworks/kidletime-5.111.0/SLOT
- var/db/pkg/kde-frameworks/kidletime-5.111.0/USE
- var/db/pkg/kde-frameworks/kidletime-5.111.0/environment.bz2
- var/db/pkg/kde-frameworks/kidletime-5.111.0/kidletime-5.111.0.ebuild
- var/db/pkg/kde-frameworks/kidletime-5.111.0/repository
package_cacheimage: ""
runtime:
  name: kidletime
  version: 5.111.0
  category: kde-frameworks-5
  use_flags:
  - -doc
  - X
  - wayland
  - xscreensaver
  requires:
  - name: plasma-wayland-protocols
    version: '>=0'
    category: dev-libs
  - name: qtwayland
    version: '>=0'
    category: dev-qt-5
  - name: qtwidgets
    version: '>=0'
    category: dev-qt-5
  - name: qtx11extras
    version: '>=0'
    category: dev-qt-5
  - name: breeze-icons
    version: '>=0'
    category: kde-frameworks-5
  - name: libXScrnSaver
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Framework for detection and notification of device idle time
  uri:
  - https://kde.org/
  license: LGPL-2+
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.111:5
      doc? ( >=dev-qt/qthelp-5.15.1:5 >=app-doc/doxygen-1.8.13-r1 )
    DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 wayland? ( >=dev-libs/plasma-wayland-protocols-1.7.0
      >=dev-libs/wayland-protocols-1.27:0 dev-libs/wayland >=dev-qt/qtgui-5.15.1:5[wayland]
      >=dev-qt/qtwayland-5.15.1:5 ) X? ( >=dev-qt/qtx11extras-5.15.1:5 x11-libs/libX11
      x11-libs/libxcb x11-libs/libXext ) xscreensaver? ( >=dev-qt/qtdbus-5.15.1:5
      x11-libs/libXScrnSaver ) dev-util/desktop-file-utils x11-misc/shared-mime-info
      >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5 ) dev-util/desktop-file-utils'
    IUSE: wayland X xscreensaver debug doc
    RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 wayland? ( >=dev-libs/plasma-wayland-protocols-1.7.0
      >=dev-libs/wayland-protocols-1.27:0 dev-libs/wayland >=dev-qt/qtgui-5.15.1:5[wayland]
      >=dev-qt/qtwayland-5.15.1:5 ) X? ( >=dev-qt/qtx11extras-5.15.1:5 x11-libs/libX11
      x11-libs/libxcb x11-libs/libXext ) xscreensaver? ( >=dev-qt/qtdbus-5.15.1:5
      x11-libs/libXScrnSaver ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
      )'
    emerge.packages: kde-frameworks/kidletime:5
    kit: kde-kit
    original.package.name: kde-frameworks/kidletime
    original.package.slot: "5"
    original.package.version: 5.111.0
